hmrc / reactivemongo-json

ReactiveMongo in JSON

Version Matrix

[DEPRECATED] Please be aware that this library is no longer maintained. Moving forwared, please use simple-reactivemongo or Play-ReactiveMongo version 6.0.0 or higher were appropriate. If you wish to use an alternative to this library, please use the officially maintained upstream version that is now used in the platform libraries: ReactiveMongo-Play-Json

reactivemongo-json

Build Status Download

This library is an extraction of the classes from Play-ReactiveMongo allowing the versions of play-json and ReactiveMongo to be set by the consuming library.

The original classes can be found here:

Installing

Include the following dependency in your SBT build

resolvers += Resolver.bintrayRepo("hmrc", "releases")

libraryDependencies += "uk.gov.hmrc" %% "reactivemongo-json" % "[INSERT_VERSION]"

For Java 7 and Play 2.3.x use versions <=2.2.0

License

This code is open source software licensed under the Apache 2.0 License.